$(function() {
	$("#responsive-datatable").DataTable({
		language: {
			emptyTable: "No Records Found"
		}
	}), $("#example2").DataTable({
		paging: !0,
		lengthChange: !1,
		searching: !1,
		ordering: !0,
		info: !0,
		autoWidth: !1,
		responsive: !0
	})
}), $("#daterange-btn").daterangepicker({
	ranges: {
		Today: [moment(), moment()],
		Yesterday: [moment().subtract(1, "days"), moment().subtract(1, "days")],
		"Last 7 Days": [moment().subtract(6, "days"), moment()],
		"Last 30 Days": [moment().subtract(29, "days"), moment()],
		"This Month": [moment().startOf("month"), moment().endOf("month")],
		"Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
	},
	startDate: moment().subtract(29, "days"),
	endDate: moment()
}, function(e, t) {
	$("#reportrange span").html(e.format("MMMM D, YYYY") + " - " + t.format("MMMM D, YYYY"))
}), $(document).ready(function() {
	$(".dropify").dropify({
		messages: {
			"default": "Drag and drop a file here or click",
			replace: "Drag and drop or click to replace",
			remove: "Remove",
			error: "Ooops, something wrong appended."
		},
		error: {
			fileSize: "The file size is too big (1M max)."
		}
	})
}), $(document).ready(function() {/*
	setInterval(function() {
		$("#pending_order_count").load(location.href + " #pending_order_count span"), $("#pending_order_count2").load(location.href + " #pending_order_count2 span")
	}, 1000)
*/}), $("#default-colorpicker").colorpicker({ format: "hex" }), $(document).ready(function() {
	$(".example").DataTable({
		dom: "Bfrtip",
		buttons: [{
			extend: "excel",
			text: "Excel",
			className: "btn2 btn2-warning",
			exportOptions: {
				modifier: {
					page: "all"
				}
			}
		}, {
			extend: "pdf",
			text: "PDF",
			className: "btn2 btn2-danger",
			messageBottom: null
		}, {
			extend: "copy",
			text: "Copy",
			className: "btn2 btn2-success",
			key: {
				key: "c",
				altKey: !0
			}
		}, {
			extend: "print",
			text: "Print",
			className: "btn2 btn2-info"
		}]
	})
});
$(document).ready(function() {
	$('.summernote').summernote({
		height: 200,
	});
	$('#summernote').summernote();
});